Subject: Re: [ietf-smtp] Draft for compressing SMTP streams

From: Julien ÉLIE <[email-masked]>
Date: Thu, 15 Sep 2016 22:57:55 +0200

Hi all,

Le 18/08/2016 à 23:09, John Bucy a écrit :
> On Thu, Aug 18, 2016 at 10:40 AM, John R Levine <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Took out smime, since this discussion has nothing to do with it.
>
>         Modern Word and Excel files are in ZIP container formats.
>         Therefore, they are already compressed. [Looks like Paul Smith
>         already posted about this.]
>
>
>     Oh, right, forgot about that.
>
>     It's looking to me like there are two places where CDAT might be
>     useful. One is to squeeze base64 encoded stuff back to about its
>     original size. The other, since the compressor is deliberately not
>     reset between messages, is when you send approximately but not quite
>     the same message to several people in the same session, e.g.,
>     different text with the same attachments.  Imagine you're an ESP
>     sending tarted up mail with lots of images, and each recipient's
>     name is spliced into the text of his message.

I also believe CDAT would be useful for these two cases.
It will result in a gain of speed, and band-width optimization.  Even 
though band-width become larger and larger, it is still a limited 
resource; not everybody has a chance to have an optical fiber coming to 
his home, and anyway band-width has a cost (so saving it is interesting, 
notably when more and more connected devices use it).

I don't think we should prevent extending protocols for the mere reason 
that deploying it will take years.  We wouldn't improve many things 
otherwise.

> Agree with this. We (gmail) are still interested but it isn't our
> highest priority. The draft seems straightforward, I can probably
> prototype it on our smtp gateway in a few days when I can find the time.

I hope you'll manage to find time to prototype CDAT and confirm it is 
really useful for the two cases mentioned above.

-- 
Julien ÉLIE

« Nigro notanda lapillo. » (Catulle)